package com.palmnest.service.washcar.service;

import com.palmnest.application.dto.ExtraServiceDto;
import com.palmnest.application.dto.output.ExtraServiceOutputDto;
import com.palmnest.model.washcar.ExtraService;

import java.util.List;

/**
 * 额外服务
 *
 * @author longmeizhen
 */
public interface ExtraServiceService {

	public ExtraService saveExtraService(ExtraServiceDto dto, String userId) throws Exception;

	public ExtraServiceDto findByIdAndProId(String orgId, Long id, String proSetId, String userId) throws Exception;

	public ExtraServiceOutputDto getExtraList(String projectId) throws Exception;

	public Integer deleteExtra(Long id, String userId) throws Exception;

	public List<ExtraService> findByProSetId(Long proSetId) throws Exception;
}
